4 Replies Latest reply: Jan 3, 2013 5:54 PM by Calistogamac RSS

    Camera Raw 6.5 will not install on PSE 9 for Mac OS

    Calistogamac Community Member

      Every time I try to install the Camera Raw update 6.5 into Elements 9 Editor, I get the messages "Some updates failed to install." and "Update is not applicable." The version of the Camera Raw Plug-in I have is "6.4.1.145" and will not work with my Panasonic Lumix DMC-FZ150. Any ideas?